import java.util.ArrayList;
import java.util.function.Consumer;

public class EventListener<T> {
    private final ArrayList<Consumer<T>> listeners = new ArrayList<>();

    public void addListener(Consumer<T> listener) {
        listeners.add(listener);
    }

    public void emit(T tracktor) {
        for (var listener : listeners) {
            listener.accept(tracktor);
        }
    }
}